(***********************************************************************
 * File: Env.v
 * $Revision: 364 $
 * $Date: 2010-11-04 14:16:55 -0200 (Thu, 04 Nov 2010) $
 * $LastChangedBy: jdcampo $
 *******************************************************************
 * This file specifies what is meant by the environment of the system
 * 
 ******************************************************************)

Require Export State.

Record context : Set :=
  Context
    {(** a virtual address is accessible, ie. it is not reserved 
         by the Hypervisor *)
       ctxt_vadd_accessible: vadd -> bool;
     (** guest Oss (Trusted/Untrusted OS) **)
       ctxt_oss : os_ident -> bool
    }.

Record env : Set :=
  Env
    { env_static  : context;
      env_dynamic : state
    }.