(***********************************************************************
 * File: Observers.v
 * $Revision: 364 $
 * $Date: 2010-11-04 14:16:55 -0200 (Thu, 04 Nov 2010) $
 * $LastChangedBy: jdcampo $
 ***********************************************************************
 * Proof that Read isolation is safe 
 **********************************************************************)

Require Export Exec.

Definition content_of_address (s:state)(ma:madd)(pg:page): Prop :=
   Value _ pg = map_apply madd_eq (st_memory s) ma. 

Definition owner_of_page (pg:page)(osi:os_ident) : Prop :=
   Os_PO osi = page_owned_by pg. 

Definition not_active_os (s:state)(osi:os_ident) : Prop :=
   st_active_os s <> osi.  

Definition machine_address_of_virtual_address (s:state)(va:vadd)(ma:madd) : Prop :=
   va_mapped_to_ma s (st_active_os s) va ma.  


